use parser::Parser;
use scanner::Scanner;

mod expr;
mod parser;
mod scanner;
mod token;

fn main() {
    let scanner = Scanner::new(
        "
$false = λtf.f
# mrow!
$true = λtf.t

λa.(a $true)
",
    );

    let tokens = scanner.scan_tokens().unwrap();

    for t in &tokens {
        println!("{} {:?}", t.line, t.token_type);
    }

    let mut parser = Parser::new(tokens);
    let (funcs, main) = parser.parse().unwrap();

    dbg!(funcs);
    dbg!(main);
}
